[arch-commits] Commit in ndesk-dbus/trunk (PKGBUILD namespace-support.patch)

Jan de Groot jgc at archlinux.org
Sat Jan 30 14:08:24 EST 2010


    Date: Saturday, January 30, 2010 @ 14:08:24
  Author: jgc
Revision: 65535

upgpkg: ndesk-dbus 0.6.0-2
    Convert to -any architecture, add patch to fix FS#17900

Added:
  ndesk-dbus/trunk/namespace-support.patch
Modified:
  ndesk-dbus/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |   19 +++++++++++--------
 namespace-support.patch |   12 ++++++++++++
 2 files changed, 23 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-30 18:51:24 UTC (rev 65534)
+++ PKGBUILD	2010-01-30 19:08:24 UTC (rev 65535)
@@ -4,23 +4,26 @@
 
 pkgname=ndesk-dbus
 pkgver=0.6.0
-pkgrel=1
+pkgrel=2
 pkgdesc="C# implementation of D-Bus"
-arch=('i686' 'x86_64')
+arch=('any')
 url="http://www.ndesk.org/DBusSharp"
 license=('custom')
 depends=('mono')
 makedepends=('pkgconfig')
 options=(!makeflags)
-source=(http://www.ndesk.org/archive/dbus-sharp/${pkgname}-${pkgver}.tar.gz)
-md5sums=('5157ba105c9ac491f6e900bc78d1791f')
+source=(http://www.ndesk.org/archive/dbus-sharp/${pkgname}-${pkgver}.tar.gz
+        namespace-support.patch)
+md5sums=('5157ba105c9ac491f6e900bc78d1791f'
+         '8e4976d0565854de48ee88cd9f929bd9')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/namespace-support.patch" || return 1
   export MONO_SHARED_DIR="${startdir}/src/.wabi"
   mkdir -p "${MONO_SHARED_DIR}"
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -D COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
 }

Added: namespace-support.patch
===================================================================
--- namespace-support.patch	                        (rev 0)
+++ namespace-support.patch	2010-01-30 19:08:24 UTC (rev 65535)
@@ -0,0 +1,12 @@
+diff -urNp ndesk-dbus-0.6.0/src/TypeImplementer.cs mine/src/TypeImplementer.cs
+--- ndesk-dbus-0.6.0/src/TypeImplementer.cs	2007-10-11 16:01:11.000000000 -0400
++++ mine/src/TypeImplementer.cs	2010-01-19 01:37:31.317786525 -0500
+@@ -34,7 +34,7 @@ namespace NDesk.DBus
+ 
+ 			InitHack ();
+ 
+-			TypeBuilder typeB = modB.DefineType (declType.Name + "Proxy", TypeAttributes.Class | TypeAttributes.Public, typeof (BusObject));
++			TypeBuilder typeB = modB.DefineType (declType.FullName + "Proxy", TypeAttributes.Class | TypeAttributes.Public, typeof (BusObject));
+ 
+ 			Implement (typeB, declType);
+ 



More information about the arch-commits mailing list